mailman3-full_3.2.2-1_all.deb


Advertisement

Description

mailman3-full - Full Mailman3 mailing list management suite (metapackage)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename mailman3-full_3.2.2-1_all.deb
Package name mailman3-full
Package version 3.2.2
Package release 1
Package architecture all
Package type deb
Category mail
Homepage http://www.list.org/
License -
Maintainer Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Download size 34.82 KB
Installed size 43.00 KB

Alternatives

Package Version Architecture Repository
mailman3-full_3.2.2-1_all.deb 3.2.2 all Debian Main
mailman3-full - - -

Requires

Name Value
mailman3 -
mailman3-web -
python3-mailman-hyperkitty -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package mailman3-full_3.2.2-1_all.deb
Source Package mailman3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install mailman3-full deb package:
    # sudo apt-get install mailman3-full

Files

Path
/usr/share/doc/mailman3-full/NEWS.Debian.gz
/usr/share/doc/mailman3-full/changelog.Debian.gz
/usr/share/doc/mailman3-full/changelog.gz
/usr/share/doc/mailman3-full/copyright

Changelog

2019-08-22 - Pierre-Elliott Bécue <peb@debian.org>
mailman3 (3.2.2-1) unstable; urgency=medium
* New upstream release 3.2.2 (Closes: #930147)
* Switch to debhelper-compat for build
* d/control:
- Bump Standards-Version to 4.4.0
- Drop X-Python3-Version field
- Add Pre-Depends on misc:Pre-Depends to allow the use of the
skip-systemd-native flag.
2019-02-24 - Jonas Meurer <jonas@freesources.org>
mailman3 (3.2.1-1) unstable; urgency=medium
* New upstream release 3.2.1
* d/p/0002_no_results_emails.patch:
- Remove, got incorporated upstream
* d/p/0002-remove_import_resources_dependency.patch:
- New patch to remove dependency on `importlib_resources` and migrate
to `importlib.resources`. Mailman3 depends on the external library
`importlib_resources` to stay compatible with Python 3.5 and 3.7.
Since this library is not available in Debian and Buster only ships
Python 3.7 anyway, this patch replaces `importlib_resources` with
`importlib.resources`.
* d/control:
- Bump X-Python3-Version to '>= 3.7' because `importlib.resources` is only
available since Python 3.7.
2019-02-09 - Jonas Meurer <jonas@freesources.org>
mailman3 (3.2.0-5) unstable; urgency=medium
[ Jonas Meurer ]
* d/mailman3.service:
- Pass '--force' when starting the mailman runner. This fixes starts when
a stale lockfile exists but no corresponding process is running.
(Closes: #919160)
* d/contrib/mailman-wrapper
- Add mailman-wrapper, which takes care of invoking mailman as user
'list', and a corresponding manpage.
[ Lev Lamberov ]
* d/po/ru.po: updated Russian translation (Closes: #920890)
2018-12-23 - Jonas Meurer <jonas@freesources.org>
mailman3 (3.2.0-4) unstable; urgency=medium
* d/control:
- Bump Standards-Version to 4.3.0, no changes required
* d/p/0002_no_results_emails.patch:
- Backport upstream patch that stops messages to -join, -leave and
-confirm from producing result emails.
2018-12-09 - Pierre-Elliott Bécue <peb@debian.org>
mailman3 (3.2.0-3) unstable; urgency=medium
[ Jonas Meurer ]
* d/control:
- Demote lynx from Recommends to Suggests. (Closes: #909571)
[ Pierre-Elliott Bécue ]
* d/po/fr.po refreshed
* d/control:
- Add www-browser as an alternative Suggests for lynx.
2018-10-05 - Pierre-Elliott Bécue <peb@debian.org>
mailman3 (3.2.0-2) unstable; urgency=medium
* d/control:
- Replace my Crans address by my Debian one.
- Add an explicit dependency on mailman3-web >= 0+20180916-1 to ensure the
whole dependency chain is python3 when mailman3-full is installed.
2018-09-17 - Jonas Meurer <jonas@freesources.org>
mailman3 (3.2.0-1) unstable; urgency=medium
[ Elizabeth Ramos ]
* d/po/pt_BR.po: Brazilian Portuguese translation for debconf template.
(Closes: #905161)
[ Jonas Meurer ]
* New upstream release 3.2.0
* Bump Build-Depends on python3-aiosmtpd to >=1.1
* Bump Build-Depends on python3-sqlalchemy to >= 1.2.3
* Drop obsolete patch d/patches/0001_sphinx_ignore_pc.patch
* Drop obsolete patch d/patches/0002_change_mkdirs_behaviour.patch
* d/upstream/signing-key.asc:
- Change the key to 541EA0448453394FF77A0ECC9D9B2BA061D0A67C (Abhilash Raj
<raj.abhilash1@gmail.com>) since latest upstream tarball got signed by
him.
* d/control:
- Bump standards-version to 4.2.1, no changes required
[ Pierre-Elliott Bécue ]
* d/rules:
- Removes the docs/ directories from mailman3.deb
2018-05-26 - Pierre-Elliott Bécue <becue@crans.org>
mailman3 (3.1.1-10) unstable; urgency=medium
[ Rui Branco ]
* Update Portuguese translation for debconf (Closes: #898192)
[ Frans Spiesschaert ]
* Update Dutch translation for debconf (Closes: #898664)
[ Pierre-Elliott Bécue ]
* d/copyright:
- Update copyright years
- Add debconf translations statements
* d/control:
- Remove the X-Python3-Version field as the mentioned version is the one
in stable.

See Also

Package Description
mailman3-web_0+20180916-9_all.deb Django project integrating Mailman3 Postorius and HyperKitty
mailman3_3.2.2-1_all.deb Mailing list management system
mailman_2.1.29-1_i386.deb Web-based mailing list manager (legacy branch)
mailnag_1.2.1-1.1_all.deb extensible mail notification daemon
mailplate_0.2-1_all.deb reformat mail drafts according to templates
mailscripts_0.11-1_all.deb collection of scripts for manipulating e-mail on Debian
mailsync_5.2.2-3.1+b2_i386.deb Synchronize IMAP mailboxes
mailtextbody_0.1.3-2+b2_i386.deb tool to return the body of an email message
mailto_1.3.2-3+b2_i386.deb WWW Forms to Mail Gateway
mailutils-common_3.6-1_all.deb Common files for GNU mailutils
mailutils-comsatd_3.6-1+b1_i386.deb GNU mailutils-based comsatd daemon
mailutils-doc_3.6-1_all.deb Documentation files for GNU mailutils
mailutils-guile_3.6-1+b1_i386.deb GNU mailutils Guile interpreter and modules
mailutils-imap4d_3.6-1+b1_i386.deb GNU mailutils-based IMAP4 Daemon
mailutils-mh_3.6-1+b1_i386.deb GNU mailutils-based MH utilities
Advertisement
Advertisement